mfn/php-cs-fixer-config

There is no license information available for the latest version (1.0.1) of this package.

My opinionated php-cs-fixer config

1.0.1 2021-04-08 21:10 UTC

This package is auto-updated.

Last update: 2021-04-08 21:11:46 UTC


README

Not much to say, these are my opinions.

GitHub issues are disabled, as there's likely not much to discuss here.

If you feel strongly about something, please create a PR and let's look at the technical side together.

Usage

The rules require setRiskyAllowed(true).

In your php-cs-fixer config:

require 'vendor/autoload.php';

$rules = \Mfn\PhpCsFixer\Config::getRules();

return (new PhpCsFixer\Config())
  ->setFinder(…)
  ->setRiskyAllowed(true)
  ->setRules($rules);

License

None? Pick what you want? I don't care, it's just a configuration.